=== src/third_party/mozjs-38/extract/js/src/devtools/gctrace/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

gcstats: gcstats.cpp ../../gc/GCTraceFormat.h Makefile
	$(CXX) -std=c++11 -g -O2 -I../.. -o $@ $<
