=== debian/control ===
Source: juju-mongodb3.2
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 9),
 libboost-date-time-dev,
 libboost-dev (>> 1.50),
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libgoogle-perftools-dev [linux-amd64],
 libpcap-dev,
 libpcre3-dev,
 libreadline-dev,
 libsnappy-dev,
 libssl-dev,
 libyaml-cpp-dev,
 lsb-release,
 python-pymongo,
 python-yaml,
 scons,
 valgrind,
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.mongodb.org
XS-Testsuite: autopkgtest

Package: juju-mongodb3.2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MongoDB object/document-oriented database for Juju
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package provides the mongod and mongos binaries for use within Juju,
 the service orchestration for Ubuntu.
