## juju-mongodb3.2 3.2.9

=== debian/changelog ===
juju-mongodb3.2 (3.2.9-0ubuntu1) yakkety; urgency=medium

  * New upstream release. (LP: #1605976) (again)
  * Drop one part of s390x-support.patch that was included upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 30 Aug 2016 11:40:44 +1200

juju-mongodb3.2 (3.2.8-0ubuntu3) yakkety; urgency=medium

  * Fix ftbfs: (LP: #1610767):
    - Add d/patches/gcc6-ftbfs.patch to fix 2 warnings and 1 error.
    - Add d/patches/SERVER-16221-SERVER-23712-Aggregation-unit-tests-sho.patch,
      backported from master.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 08 Aug 2016 13:41:08 +1200

juju-mongodb3.2 (3.2.8-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:20:02 +0000

juju-mongodb3.2 (3.2.8-0ubuntu1) yakkety; urgency=medium

  * New upstream release. (LP: #1605976)
  * Drop patches which are now included upstream:
    - offset-outside-of-bounds.patch
    - scons-detect-ppc64.patch
    - use-4kb-sector-size-for-direct-io.patch
    - fix-debug-non-jit-builds-of-spidermonkey.patch
    - processinfo_test-fails-on-ppc64.patch
    - dont-assume-char-is-unsigned-in-logging.patch
    - use-signed-char-explicitly.patch
    - warn-user-if-locked-memory-limit-is-too-low.patch
  * Drop d/patches/skip-high-mem-test.patch, that test now passes on Launchpad
    builders.
  * Regenerate s390x-support.patch.
  * Explicitly enable mmapv1 on all architectures except s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Jul 2016 11:41:46 +1200

juju-mongodb3.2 (3.2.4-0ubuntu4) yakkety; urgency=medium

  * Include mongo client for admins and developer. (LP: #1583740)

 -- Curtis C. Hovey <curtis@hovey.name>  Tue, 17 May 2016 01:58:48 +0000

juju-mongodb3.2 (3.2.4-0ubuntu3) yakkety; urgency=medium

  * Cherrypick upstream commit 92c3f80f384d2825efeabd0d26aa534c0deb6988 to
    fix FTBFS with boost 1.60.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Apr 2016 20:07:15 +0100

juju-mongodb3.2 (3.2.4-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:40:09 +0000
