=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
 	COMMON_OPTIONS += --allocator=tcmalloc --use-system-tcmalloc
 else
 	COMMON_OPTIONS += --allocator=system
+endif
+
+ifneq ($(DEB_HOST_ARCH), s390x)
+	COMMON_OPTIONS += --mmapv1=on
 endif
 
 # JUJU NOTE: disable javascript scripting support in the server; do not
