=== debian/changelog ===
juju-mongodb3.2 (3.2.12-0ubuntu1~16.10) yakkety; urgency=medium

  * Backport to 16.10. (LP: #1673652)
  * Drop d/patches/fix-boost-1.62-build.patch.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 16 Mar 2017 20:13:57 +1300

juju-mongodb3.2 (3.2.12-0ubuntu1) zesty; urgency=medium

  * New upstream release. (LP: #1670891)
  * Do not use CRC32 instructions on s390x.
  * Correct architecture detection on arm64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Mar 2017 13:50:17 +1300

juju-mongodb3.2 (3.2.9-0ubuntu3) zesty; urgency=medium

  * Import Gentoo patch to fix FTBFS with boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Nov 2016 15:14:12 +0000

juju-mongodb3.2 (3.2.9-0ubuntu2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:24:42 +0000
