## juju-mongodb3.2 3.2.15

=== debian/changelog ===
juju-mongodb3.2 (3.2.15-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to Xenial. (LP: #1699354)
  * Drop d/patches/fix-boost-1.62-build.patch.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Jul 2017 15:48:40 +1200

juju-mongodb3.2 (3.2.15-0ubuntu1) artful; urgency=medium

  * New upstream release. (LP: #1699354)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 10 Jul 2017 11:48:35 +1200

juju-mongodb3.2 (3.2.14-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 14 Jun 2017 20:20:14 +1200

juju-mongodb3.2 (3.2.13-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Remove two hunks from d/patches/gcc6-ftbfs.patch, now fixed upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 26 Apr 2017 09:10:34 +1200
