=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,9 @@
 	COMMON_OPTIONS += --allocator=system
 endif
 
-ifneq ($(DEB_HOST_ARCH), s390x)
+ifeq ($(DEB_HOST_ARCH), s390x)
+	COMMON_OPTIONS += --use-s390x-crc32=off
+else
 	COMMON_OPTIONS += --mmapv1=on
 endif
